Subject: Re: [Cake] [PATCH iproute2-next v3] Add support for cake qdisc

From: Stephen Hemminger <[email-masked]>
Date: Tue, 24 Apr 2018 08:10:08 -0700

On Tue, 24 Apr 2018 16:52:57 +0200
Toke Høiland-Jørgensen <[email-masked]> wrote:

> Well, this is leftover from keeping track of different versions of the
> out-of-tree patch, and we already broke compatibility pretty thoroughly
> as a preparation for upstreaming. So I'm fine with dropping the version
> check; will resend.
> 
> That being said, the versioning comes from the XSTATS API, which does
> not use netlink attributes for its members, but rather passes through as
> struct. So what is one supposed to do in this case?

If a structure is likely to change, then it should be decomposed into nested
netlink attributes. Once you send a structure over userspace API in netlink
it is fixed forever.